Page MenuHomePhabricator

[DeepCat-Gadget] CatGraph could not find the category 'Classical_mechanics_stubs‎'.
Closed, ResolvedPublic

Description

deepcat:"Classical mechanics stubs‎" reports correctly, but randomly reports zero.
'CatGraph could not find the category 'Classical_mechanics_stubs‎'.

The following reproduces the problem:
deepcat:"Classical mechanics stubs‎"
deepcat:Physics
deepcat: "Disambiguation pages"
deepcat:"Classical mechanics stubs‎"

And then these also begin to do the same (begin to report zero)
deepcat: "Optics stubs"
deepcat: Physics

And then this fixes "Physics", but not "Classical Mechanics stubs"
deepcat: "Disambiguation pages"
deepcat: Physics

Event Timeline

Cpiral created this task.Jan 18 2016, 3:09 AM
Cpiral raised the priority of this task from to Needs Triage.
Cpiral updated the task description. (Show Details)
Cpiral added projects: DeepCat-Gadget, TCB-Team.
Cpiral added a subscriber: Cpiral.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 18 2016, 3:09 AM

T37402 led me to mw.loader.load( "//de.wikipedia.org/w/index.php?title=User:Christoph Fischer (WMDE)/Gadgets/DeepCat.js&action=raw&ctype=text/javascript" (plus the CSS) on my enwiki acct.

Cpiral renamed this task from [DeepCat-Gadget] page counts are off to [DeepCat-Gadget] CatGraph could not find the category 'Classical_mechanics_stubs‎'..Jan 20 2016, 1:14 AM
Cpiral updated the task description. (Show Details)
Cpiral set Security to None.
Cpiral updated the task description. (Show Details)Jan 20 2016, 1:23 AM

Hi Cprial,

I tried the posted examples and by looking at the requests to the CatGraph server I could see the problem:

In deepcat:"Classical mechanics stubs‎" there seems to be an invisible symbol between the quotation mark at the end and the 's'. You can test this by copy&pasting the line somewhere (eg the search) and hitting backspace twice from the end. You will see, that the quotation mark will be deleted but the s stays there. When you now add the quotation mark again the query should execute as successfully.

I am not sure where this invisible signs comes from. In the future development we could make sure that symbols like that get filtered by the gadget.

Thanks for your report!
Fisch

Cpiral closed this task as Resolved.Jan 20 2016, 9:54 PM
Tobi_WMDE_SW moved this task from Incoming to Done on the TCB-Team board.Jan 27 2016, 10:48 AM